﻿import mx.transitions.Tween;
import mx.transitions.easing.*;

//fscommand("allowscale","true");
fscommand("fullscreen","true");

toutesInstancesAlpha_array = new Array ("T_0", "BulleSol", "Sol", "F_0", "FB1", "FB2", "FB3", "FB4", "H1", "H2", "H3", "H4", "TB1A", "TB1B", "TB1C", "TB2B", "TB2C", "TB3C", "TB4", "TB1Choix", "TB2Choix", "TB3Choix");
tousBoutons_array = new Array ("B1", "B2", "B3", "B4");

function setUpAlphaInstancesAlpha() {
	var ttesInstCnt = toutesInstancesAlpha_array.length;
	for (i=0; i<ttesInstCnt; i++) {
		var temp = this[toutesInstancesAlpha_array[i]];
		temp._visible = 0;
		My0AlphTween (temp, 0.1);
        };
};

function setUpScaleInstances() {
	B1.B1T.Ech = 150; B2.B2T.Ech = 150; B3.B3T.Ech = 150; B4.B4T.Ech = 150;
	var ttesInstCnt = toutesInstancesAlpha_array.length;
	for (i=0; i<ttesInstCnt; i++) {
		var temp = this[toutesInstancesAlpha_array[i]];
		temp.Ech = 100;
        };
	};

setUpScaleInstances()
setUpAlphaInstancesAlpha();
B1.B1T._alpha = 50; B2.B2T._alpha = 50; B3.B3T._alpha = 50; B4.B4T._alpha = 50;
My1AlphTween (F_0, 1);
My1AlphTween (Sol, 2);
My1AlphTween (BulleSol, 2);
My1AlphTween (T_0, 2);

this.onLoad = function (){
	var tsBtnCnt = tousBoutons_array.length;
	for (j=0; j<tsBtnCnt; j++) {
	var temp = this[tousBoutons_array[j]];
	temp.onRollOver = BtnRollOver;
	temp.onRollOut = BtnRollOut;
	temp.onRelease = BtnRelease;
	};
}

//onEnterFrame = function (){
//};

stop();

function BtnRollOver() {
	var btn:MovieClip = this;
	var btnt = this[String(this).substr(8,2)+"T"];
	var btnh = this._parent["H"+String(this).substr(9,1)];
	MyScaleTween(btn, 100, 0.2);
	MyScaleTween(btnh, 110, 1);
	My1AlphTween(btnt, 0.2);
	}

function BtnRollOut() {
	var btn:MovieClip = this;
	var btnt = this[String(this).substr(8,2)+"T"];
	var btnh = this._parent["H"+String(this).substr(9,1)];
	MyScaleTween(btn, 80, 1);
	MyScaleTween(btnh, 80, 1);
	var tw:Tween = new Tween(btnt,"_alpha",Strong.easeOut,btnt._alpha,50,0.2,true);
}

function MyScaleTween(qui, pourcent, duree){
	var tw:Tween = new Tween(qui,"_xscale",Strong.easeOut,qui._xscale,pourcent,duree,true);
	var tw:Tween = new Tween(qui,"_yscale",Strong.easeOut,qui._yscale,pourcent,duree,true);
}

function My1AlphTween(qui, duree){
	qui._visible = 1;
	var tw:Tween = new Tween(qui,"_alpha",Strong.easeOut,qui._alpha,100,duree,true);
	var tw:Tween = new Tween(qui,"_xscale",Elastic.easeOut,qui._xscale,qui.Ech,duree/3,true);
	var tw:Tween = new Tween(qui,"_yscale",Elastic.easeOut,qui._yscale,qui.Ech,duree/3,true);
}
function My0AlphTween(qui, duree){
	var tw:Tween = new Tween(qui,"_alpha",Strong.easeOut,qui._alpha,0,duree,true);
	var tw:Tween = new Tween(qui,"_xscale",Strong.easeOut,qui._xscale,qui.Ech*0.9,duree/3,true);
	var tw:Tween = new Tween(qui,"_yscale",Strong.easeOut,qui._yscale,qui.Ech*0.9,duree/3,true);
}

function BtnRelease(){
	setUpAlphaInstancesAlpha();
	if (this==_level0.B1) {
		My1AlphTween(FB1,1);
		My1AlphTween(H1,1);
		FB1.play();
		setTimeout (My1AlphTween, 200, TB1Choix, 1);
		setTimeout (My1AlphTween, 300, TB1A, 2);
		setTimeout (My1AlphTween, 600, TB1B, 2);
		setTimeout (My1AlphTween, 900, TB1C, 2);
		}
	else if (this==_level0.B2) {
		My1AlphTween(FB2,1);
		My1AlphTween(H2,1);
		FB2.play();
		setTimeout (My1AlphTween, 200, TB2Choix, 1);
		setTimeout (My1AlphTween, 300, TB2B, 2);
		setTimeout (My1AlphTween, 600, TB2C, 2);
		}
	else if (this==_level0.B3) {
		My1AlphTween(FB3,1);
		My1AlphTween(H3,1);
		FB3.play();
		setTimeout (My1AlphTween, 200, TB3Choix, 1);
		setTimeout (My1AlphTween, 300, TB3C, 2);
		}
	else if (this==_level0.B4) {
		My1AlphTween(FB4,1);
		My1AlphTween(H4,1);
		FB4.play();
		setTimeout (My1AlphTween, 300, TB4, 2);
		}
	else {
		My1AlphTween(F_0,1);
		My1AlphTween(BulleSol,2);
		My1AlphTween(Sol,2);
		My1AlphTween(T_0,2);
		};
}